<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.statistic.add')}" />
		</ui:define>
		<ui:define name="body">
			<h:outputText value="#{facesContext.translate('label.statistic.add.description')}" />
			<p:panelGrid columns="2">
				<ship:taggedLabel value="#{facesContext.translate('label.statistic.functionname')}" help="#{facesContext.translate('label.statistic.help.functionname')}" />
				<p:inputText required="true" id="functionName" value="#{statisticModel.functionBean.name}" validatorMessage="#{facesContext.translate('validation.statistic.functionname')}">
					<f:validateRegex pattern="^[a-zA-Z][a-zA-Z0-9._]{0,63}$" />
				</p:inputText>
				<h:outputText value="#{facesContext.translate('label.vignette')}" />
				<p:inputText value="#{statisticModel.functionBean.vignette}" />
				<ship:taggedLabel value="#{facesContext.translate('label.statistic.functionbody')}" help="#{facesContext.translate('label.statistic.help.functionbody')}" />
				<p:inputTextarea id="body" value="#{statisticModel.functionBean.body}" cols="80" rows="8" />
				<ship:taggedLabel value="#{facesContext.translate('label.statistic.summary')}" help="#{facesContext.translate('label.statistic.help.functionsummary')}" />
				<p:inputText id="summary" value="#{statisticModel.functionBean.summary}" />
				<ship:taggedLabel value="#{facesContext.translate('label.statistic.description')}" help="#{facesContext.translate('label.statistic.help.functiondescription')}" />
				<p:inputTextarea id="descr" value="#{statisticModel.functionBean.description}" cols="80" rows="8" />
				<h:outputText value="" />
				<p:selectOneMenu id="varlist" value="#{statisticModel.functionBean.varlist}" filter="true">
					<f:selectItem itemValue="false" itemLabel="#{facesContext.translate('label.statistic.varlist.false')}" />
					<f:selectItem itemValue="true" itemLabel="#{facesContext.translate('label.statistic.varlist.true')}" />
					<f:selectItem itemValue="empty" itemLabel="#{facesContext.translate('label.statistic.varlist.null')}" />
				</p:selectOneMenu>
				<h:outputText value="#{facesContext.translate('label.statistic.varname')}" />
				<p:inputText required="true" id="varname" value="#{statisticModel.functionBean.varname}" />
				<h:outputText value="#{facesContext.translate('label.statistic.dataframe')}" />
				<p:inputText id="dataframe" value="#{statisticModel.functionBean.dataframe}" />
				<h:outputText value="#{facesContext.translate('label.statistic.vardef')}" />
				<p:inputText id="vardef" value="#{statisticModel.functionBean.vardef}" />
				<h:outputText value="#{facesContext.translate('label.statistic.datasource')}" />
				<p:selectOneMenu id="datasource" value="#{statisticModel.functionBean.datasource}" filter="true">
					<f:selectItem itemLabel="#{facesContext.translate('enum.datasource.raw')}" itemValue="raw" />
					<f:selectItem itemLabel="#{facesContext.translate('enum.datasource.nomissing')}" itemValue="nomissing" />
					<f:selectItem itemLabel="#{facesContext.translate('enum.datasource.transcoded')}" itemValue="transcoded" />
				</p:selectOneMenu>
				<h:outputText value="" />
				<p:selectBooleanCheckbox id="intervals" value="#{statisticModel.functionBean.useIntervals}" itemLabel="#{facesContext.translate('label.statistic.useintervals')}" />
				<ship:taggedLabel value="#{facesContext.translate('label.statistic.scaleniveau')}" help="#{facesContext.translate('label.statistic.help.scaleniveau')}" />
				<ui:repeat value="#{statisticModel.functionBean.scales}" var="scale" varStatus="status">
					<p:selectBooleanCheckbox id="scale_#{status.index}" value="#{scale.checked}" itemLabel="#{scale.name}" />
				</ui:repeat>
			</p:panelGrid>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_approve" action="#{statisticController.doAddFunction('add')}" value="#{facesContext.translate('button.approve')}" ajax="false" />
			<p:commandButton id="btn_cancel" action="#{statisticController.toWelcome}" value="#{facesContext.translate('button.cancel')}" immediate="true" ajax="false" />
		</ui:define>
	</ui:composition>
</h:body>
</html>